Subject: Re: bug#21738: 25.0.50; eww freezes/crashes at times

From: Eli Zaretskii <[email-masked]>
Date: Fri, 23 Oct 2015 09:55:49 +0300

> From: Kaushal Modi <[email-masked]>
> Date: Thu, 22 Oct 2015 18:12:01 -0400
> Cc: Eli Zaretskii <[email-masked]>, Óscar Fuentes <[email-masked]>
> 
> - cd src/
> - gdb ./emacs
> - r -Q
> - M-x eww http://www.braveclojure.com/basic-emacs
> 
> The emacs frame froze after that. I couldn't click anywhere in the frame and
> none of the bindings (including repeated C-g) worked.
> 
> Then from the terminal where I had gdb running, I hit C-z in the (gdb) prompt
> and then bt.
> 
> Below is backtrace from gdb.
> 
> #0 0x0000003a9840eb9e in ?? () from /usr/lib64/libgomp.so.1
> #1 0x00007ffff60875f8 in MagickCoreTerminus ()
> from /home/kmodi/usr_local/6/lib/libMagickCore-6.Q16.so.2
> #2 0x00007ffff604a584 in DefaultFatalErrorHandler ()
> from /home/kmodi/usr_local/6/lib/libMagickCore-6.Q16.so.2
> #3 0x00007ffff604adb2 in CatchException () from
> /home/kmodi/usr_local/6/lib/libMagickCore-6.Q16.so.2
> #4 0x00007ffff621f6c8 in UnregisterTIFFImage ()
> from /home/kmodi/usr_local/6/lib/libMagickCore-6.Q16.so.2
> #5 0x00007ffff60f6580 in UnregisterStaticModules ()
> from /home/kmodi/usr_local/6/lib/libMagickCore-6.Q16.so.2
> #6 0x00007ffff6087638 in MagickCoreTerminus ()
> from /home/kmodi/usr_local/6/lib/libMagickCore-6.Q16.so.2
> #7 0x0000000000692ac9 in imagemagick_load_image (f=0x12afcb0, img=0x1dc7f20,
> contents=0x1e72668 "\211PNG\r\n\032\n", size=134459, filename=0x0) at
> image.c:8797
> #8 0x0000000000692c9c in imagemagick_load (f=0x12afcb0, img=0x1dc7f20) at
> image.c:8850
> #9 0x0000000000688486 in lookup_image (f=0x12afcb0, spec=30372019) at
> image.c:1751

This indicates that Emacs hangs inside Imagemagick code, trying to
display one of the images on that page.  Can you build Emacs without
Imagemagick support, and see if that fixes the problem?

Also, you originally said that "emacs -Q" doesn't exhibit this
problem, but now you've succeeded in reproducing it in "emacs -Q" as
well.  What did you need to do in order to succeed reproducing this in
"emacs -Q"?